org.jboss.netty.channel

## Class ChannelHandlerLifeCycleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.netty.channel.ChannelHandlerLifeCycleException

All Implemented Interfaces:
  Serializable

    public class ChannelHandlerLifeCycleException
    extends RuntimeException

A `RuntimeException` which is thrown when a `LifeCycleAwareChannelHandler` throws an `Exception` in its handler methods.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ChannelHandlerLifeCycleException()` Creates a new exception.
`ChannelHandlerLifeCycleException(String message)` Creates a new exception.
`ChannelHandlerLifeCycleException(String message, Throwable cause)` Creates a new exception.
`ChannelHandlerLifeCycleException(Throwable cause)` Creates a new exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ChannelHandlerLifeCycleException

    public ChannelHandlerLifeCycleException()

Creates a new exception.

#### ChannelHandlerLifeCycleException

    public ChannelHandlerLifeCycleException(String message,
                                    Throwable cause)

Creates a new exception.

#### ChannelHandlerLifeCycleException

    public ChannelHandlerLifeCycleException(String message)

Creates a new exception.

#### ChannelHandlerLifeCycleException

    public ChannelHandlerLifeCycleException(Throwable cause)

Creates a new exception.